     *=========================================================================
     * Member.....: CB_STD_CON
     * Description: Standard Copy Block-Standard Constants.
     * By.........: Alan Campin
     * Date.......: 08/18/2005
     *-------------------------------------------------------------------------
     * Member Modification Section:
     *------------------------------
     * By.........:
     * Date.......:
     * Task#......:
     * Description:
     *=========================================================================
     d cYes...
     d                 c                   'Y'
     d cNo...
     d                 c                   'N'
     d cTrue...
     d                 c                   *On
     d cFalse...
     d                 c                   *Off
     d cCarriageReturn...
     d                 c                   x'0D'
     d cLineFeed...
     d                 c                   x'25'
     d cXVMessageFileName...
     d                 c                   Const('XVMSGF    *LIBL     ')

      * CR England Standard Message File.
     d cILMessageFileName...
     d                 c                   Const('MSGCTL    *LIBL     ')

     d cCPFMessageFileName...
     d                 c                   Const('QCPFMSG   *LIBL     ')
     d cBsearchLessThan...
     d                 c                   Const(-1)
     d cBsearchEqual...
     d                 c                   Const(0)
     d cBsearchGreaterThan...
     d                 c                   Const(1)
      * Sql Values.
     d cSqlStateOk     c                   Const('00000')
     d cSqlStateNoRow  c                   Const('02000')
     d cSqlStateDuplicateKey...
     d                 c                   Const('23505')
     d cSqlStateRecordLocked...
     d                 c                   Const('57033')
     d cSqlStateWarning...
     d                 c                   Const('01')
     d cSqlStateNoData...
     d                 c                   Const('02')
     d cSqlErrLastRow  c                   Const(100)
     d cCloseLabel     c                   Const('Close')
     d cOpenLabel      c                   Const('Open')
     d cFetchLabel     c                   Const('Fetch')
     d cSqlNullIndicator...
     d                 c                   -1
     d cSqlNotNullIndicator...
     d                 c                   0

     d cDbTriggerEventInsert...
     d                 c                   Const('1')
     d cDbTriggerEventDelete...
     d                 c                   Const('2')
     d cDbTriggerEventUpdate...
     d                 c                   Const('3')
     d cDbTriggerEventRead...
     d                 c                   Const('4')

     d cDbTriggerTimeBefore...
     d                 c                   Const('2')
     d cDbTriggerTimeAfter...
     d                 c                   Const('1')

     d cDbTriggerConditionAlways...
     d                 c                   Const('1')
     d cDbTriggerConditionChange...
     d                 c                   Const('2')

     d cDbTriggerStateEnabled...
     d                 c                   Const('E')
     d cDbTriggerStateDisabled...
     d                 c                   Const('D')

     d cDbTriggerOperativeOperative...
     d                 c                   Const('O')
     d cDbTriggerOperativeInOperative...
     d                 c                   Const('I')

     d cDbTriggerUpdateConditionAlways...
     d                 c                   Const('1')
     d cDbTriggerUpdateConditionChange...
     d                 c                   Const('2')

     d cDbTriggerAllowRepeatedUpdateNo...
     d                 c                   Const(x'00')
     d cDbTriggerAllowRepeatedUpdateYes...
     d                 c                   Const(x'01')

     d cDbTriggerNullYes...
     d                 c                   Const('1')
     d cDbTriggerNullNo...
     d                 c                   Const('0')

     d cDbTriggerCommitLevelNone...
     d                 c                   Const('0')
     d cDbTriggerCommitLevelChg...
     d                 c                   Const('1')
     d cDbTriggerCommitLevelCs...
     d                 c                   Const('2')
     d cDbTriggerCommitLevelAll...
     d                 c                   Const('3')

     d cUserSpaceMaximumOptimize...
     d                 c                   16773120
     d cUserSpaceMaximumNoOptimize...
     d                 c                   16776704
